#ifndef _config_h
#define _config_h

#include <avr/io.h>


// Config für LCD-Ports
//

#define		lcd_bits	96
#define		lcd_bytes	(lcd_bits/8)

#define 	lcd_clock_pin	PB5
#define 	lcd_data_pin	PB3
#define 	lcd_latch_pin	PD4
#define 	lcd_blank_pin	PD3

#define 	lcd_clock_ddr	DDRB
#define 	lcd_data_ddr	DDRB
#define 	lcd_latch_ddr	DDRD
#define 	lcd_blank_ddr	DDRD

#define 	lcd_clock_port	PORTB
#define 	lcd_data_port	PORTB
#define 	lcd_latch_port	PORTD
#define 	lcd_blank_port	PORTD


// Config für SPI

#define 	spi_ddr		DDRB
#define 	spi_port	PORTB
#define 	spi_pin		PINB

#define 	spi_mosi_pin	lcd_data_pin
#define 	spi_miso_pin	PB4
#define 	spi_sck_pin	lcd_clock_pin
#define 	spi_ss_pin	PB2



#endif